﻿Type=StaticCode
Version=1
B4J=true
@EndOfDesignText@

Sub Process_Globals
	Private fx As JFX
	Dim SimpleForm As Form
	Dim FXColor As JFXColor
	
	Dim SimpleBattery As JFXtrasSimpleBattery
	Dim SplitFlap As JFXtrasSplitFlap
	Dim Rater As JFXtrasRater
	Dim SimpleIndicator As JFXtrasSimpleIndicator	
	Dim StepIndicator As JFXtrasStepIndicator
	Dim TrafficLight As JFXtrasTrafficLight
	
	Dim btn3 As Button
	
	Dim SIisRED As Boolean = True
End Sub

Sub Show
	SimpleForm.Initialize("SimpleForm", -1, -1)
	SimpleForm.RootPane.LoadLayout("Layout1")
	SimpleForm.BackColor = fx.Colors.LightGray
	SimpleForm.Title = "Other Gauges"	
		
	btn3.Initialize("btn3")
	SimpleForm.RootPane.AddNode(btn3, 533, 366, 56, 21)
	btn3.Text = "Button"
	
	SimpleBattery.Initialize("SimpleBattery")
	SimpleForm.RootPane.AddNode(SimpleBattery, 50, 10, 140, 140)
	SimpleBattery.ChargeIndicator = "FLASH"
	SimpleBattery.Charging = True
	
	SplitFlap.Initialize("SplitFlap")
	SimpleForm.RootPane.AddNode(SplitFlap, 450, 10, 80, 133)
	SplitFlap.Text = 0
	SplitFlap.FlipTime = 50
	SplitFlap.Color = FXColor.Color("Red")
	
	Rater.Initialize("Rater")
	SimpleForm.RootPane.AddNode(Rater, 230, 180, 20, 20)
	Rater.NoOfStars = 8
	Rater.BrightColor = FXColor.Color("Yellow")
	Rater.DarkColor = FXColor.Color("Gold")
	
	SimpleIndicator.Initialize("SimpleIndicator")
	SimpleForm.RootPane.AddNode(SimpleIndicator, 100, 260, 30, 30)
	SimpleIndicator.InnerColor = fx.Colors.RGB(255, 128, 128) ' Light Red	
	SimpleIndicator.OuterColor = fx.Colors.RGB(255, 0, 0) ' Red
	SimpleIndicator.GlowVisible = False
	
	StepIndicator.Initialize("StepIndicator")
	SimpleForm.RootPane.AddNode(StepIndicator, 245, 260, 20, 20)
	StepIndicator.NoOfSteps = 12
	StepIndicator.Color = FXColor.Color("DeepSkyBlue")
	
	TrafficLight.Initialize("TrafficLight")
	SimpleForm.RootPane.AddNode(TrafficLight, 470, 230, 80, 80)
	TrafficLight.RedOn = True
	
	SimpleForm.Show
End Sub



Sub btn3_Action
	SimpleBattery.ChargeLevel = SimpleBattery.ChargeLevel + 0.05
	If SIisRED Then
		SimpleIndicator.InnerColor = fx.Colors.RGB(128, 255, 128) ' Light Green	
		SimpleIndicator.OuterColor = fx.Colors.RGB(0, 255, 0) ' Green
	Else
		SimpleIndicator.InnerColor = fx.Colors.RGB(255, 128, 128) ' Light Red	
		SimpleIndicator.OuterColor = fx.Colors.RGB(255, 0, 0) ' Red
	End If
	SIisRED = Not(SIisRED)
	Rater.Rating = Rater.Rating + 1
	StepIndicator.CurrentStep = StepIndicator.CurrentStep + 1
	ChangeLights
End Sub


Private Sub ChangeLights
	SplitFlap.FlipForward
	Log(SplitFlap.Text)
	If TrafficLight.RedOn AND TrafficLight.YellowOn Then
		TrafficLight.RedOn = False
		TrafficLight.YellowOn = False
		TrafficLight.GreenOn = True	
	Else If TrafficLight.RedOn Then
		TrafficLight.YellowOn = True		
	Else If TrafficLight.YellowOn Then
		TrafficLight.YellowOn = False
		TrafficLight.RedOn = True	
	Else ' green
		TrafficLight.GreenOn = False
		TrafficLight.YellowOn = True
	End If
End Sub
		
		
	
	
